# pandas.core.window.Rolling.kurt

`Rolling.``kurt`(**kwargs)

  Calculate unbiased rolling kurtosis.

  This function uses Fisher’s definition of kurtosis without bias.

  Parameters:

  **kwargs

  > Under Review.

  Returns:

  Series or DataFrame

  > Returned object type is determined by the caller of the rolling calculation.

  See also

  `Series.rolling`
    Calling object with Series data.
  `DataFrame.rolling`
    Calling object with DataFrames.
  `Series.kurt`
    Equivalent method for Series.
  `DataFrame.kurt`
    Equivalent method for DataFrame.
  `scipy.stats.skew`
    Third moment of a probability density.
  `scipy.stats.kurtosis`
    Reference SciPy method.

  Notes

  A minimum of 4 periods is required for the rolling calculation.

  Examples

  The example below will show a rolling calculation with a window size of four matching the equivalent function call using scipy.stats.

      >>> arr = [1, 2, 3, 4, 999]
      >>> fmt = "{0:.6f}"  # limit the printed precision to 6 digits
      >>> import scipy.stats
      >>> print(fmt.format(scipy.stats.kurtosis(arr[:-1], bias=False)))
      -1.200000
      >>> print(fmt.format(scipy.stats.kurtosis(arr[1:], bias=False)))
      3.999946
      >>> s = pd.Series(arr)
      >>> s.rolling(4).kurt()
      0         NaN
      1         NaN
      2         NaN
      3   -1.200000
      4    3.999946
      dtype: float64

Scroll To Top